# JSDoc: Class: Attribute

# Class: Attribute

## Attribute()

Attribute is key value pair owned by a note.

## Constructor

#### new Attribute()

##### Properties:

Name | Type | Description
--- | --- | ---
`attributeId` | string | immutable
`noteId` | string | immutable
`type` | string | immutable
`name` | string | immutable
`value` | string |
`position` | int |
`isInheritable` | boolean | immutable
`isDeleted` | boolean |
`deleteId` | string | null | ID identifying delete transaction
`utcDateModified` | string |

Source:
  - entities/attribute.js, line 25

### Extends

- Entity

### Methods

#### getNote() → {Note|null}

Source:
  - entities/attribute.js, line 43

##### Returns:

Type
  Note | null

#### getTargetNote() → {Note|null}

Source:
  - entities/attribute.js, line 50

##### Returns:

Type
  Note | null

#### isDefinition() → {boolean}

Source:
  - entities/attribute.js, line 65

##### Returns:

Type
  boolean